Subject: Problems debugging threads with gdb/b18
From: [email-masked] ("Mittelstaedt, Thomas")

7 Jul 1997 10:34:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=DE%a=_%p=biw_GmbH%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.993.5
Original-Sender: [email-masked]

Hallo,

I am using the Win32 API functions CreateThread, Sleep, ResumeThread,
etc to work with threads. While fprintf/fflush output shows that threads
get created and detached, I do not get any information in gdb when I
type "info threads".

Do I have to link with special debug libraries? Or what's the trick?

	--Thomas

Thomas Mittelstaedt, Software Engineer

BIW GmbH
Germany

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".